DL_KeyAgreementAlgorithm< T > Class Template Referenceabstract

Interface for DL key agreement algorithms. More...

Inheritance diagram for DL_KeyAgreementAlgorithm< T >:

## Public Types

typedef T | Element

## Public Member Functions

virtual Element | AgreeWithEphemeralPrivateKey (const DL_GroupParameters< Element > &params, const DL_FixedBasePrecomputation< Element > &publicPrecomputation, const Integer &privateExponent) const =0
virtual Element | AgreeWithStaticPrivateKey (const DL_GroupParameters< Element > &params, const Element &publicElement, bool validateOtherPublicKey, const Integer &privateExponent) const =0

## Detailed Description

### template<class T>
class DL_KeyAgreementAlgorithm< T >

Interface for DL key agreement algorithms.

Template Parameters

  T | Field element type or class

Field element `T` can be Integer, ECP or EC2N.

See also
  DLIES, ECIES, ECIES_P1363

Definition at line 1476 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h